<?php
/////////////////////
//CUSTOM POST OPTIONS
/////////////////////
$key = "key";

$meta_boxes = array(

"custom_subtext" => array(
	"name" => "custom_subtext",
	"title" => "Title Sub-Text",
	"description" => "Sub-text appears next to post/page title (for categories, use the <a href='edit-tags.php?taxonomy=category'>category description text box</a>)."
),

"custom_video" => array(
	"name" => "custom_video",
	"title" => "Slider Video Embed Code",
	"description" => "Video should be 612x375."
),

"custom_link" => array(
	"name" => "custom_link",
	"title" => "Slider Custom Link",
	"description" => "Overrides the default link to the post."
)

);

function create_meta_box() {

global $key;

if( function_exists( 'add_meta_box' ) ) {

add_meta_box( 'new-meta-boxes', ' Custom Post Options', 'display_meta_box', 'page', 'normal', 'high' );
add_meta_box( 'new-meta-boxes', ' Custom Post Options', 'display_meta_box', 'post', 'normal', 'high' );
}

}

function display_meta_box() {

global $post, $meta_boxes, $key;
?>
<div class="form-wrap">
<?php

wp_nonce_field( plugin_basename( __FILE__ ), $key . '_wpnonce', false, true );

foreach($meta_boxes as $meta_box) {

$data = get_post_meta($post->ID, $key, true);
?>
<div class="form-field form-required">
	<label for="<?php echo $meta_box[ 'name' ]; ?>"><?php echo $meta_box[ 'title' ]; ?></label>
	<input type="text" name="<?php echo $meta_box[ 'name' ]; ?>" value="<?php if(!empty($data[ $meta_box[ 'name' ] ])){echo htmlspecialchars( $data[ $meta_box[ 'name' ] ] );} ?>" />
	<p><?php echo $meta_box[ 'description' ]; ?></p>
</div>
<?php } ?>
</div>
<?php

}

function save_meta_box( $post_id ) {
	global $post, $meta_boxes, $key;
	foreach( $meta_boxes as $meta_box ) {
		$data[ $meta_box[ 'name' ] ] = (isset($_POST[ $meta_box[ 'name' ] ]) ? $_POST[ $meta_box[ 'name' ] ] : null);
	}
	if ( !isset($_POST[ $key . '_wpnonce' ]) || !wp_verify_nonce( $_POST[ $key . '_wpnonce' ], plugin_basename(__FILE__) )) 
		return $post_id;
	if ( !current_user_can( 'edit_post', $post_id ))
		return $post_id;
	update_post_meta( $post_id, $key, $data );
}

add_action( 'admin_menu', 'create_meta_box' );
add_action( 'save_post', 'save_meta_box' );